using System;

internal sealed class Delegate695 : MulticastDelegate
{
	public extern int Invoke();

	public static int smethod_0(Delegate695 delegate695_1)
	{
		return delegate695_1();
	}

	public extern Delegate695(object object_0, IntPtr intptr_0);

	static Delegate695()
	{
		Class10.smethod_13(typeof(Delegate695).TypeHandle);
	}

	internal static Delegate695 delegate695_0;
}
